/* DO NOT EDIT
	This file was automatically generated by Pidl
	from drsuapi.idl and drsuapi.cnf.

	Pidl is a perl based IDL compiler for DCE/RPC idl files.
	It is maintained by the Samba team, not the Wireshark team.
	Instructions on how to download and install Pidl can be
	found at https://wiki.wireshark.org/Pidl
*/

#ifndef __PACKET_DCERPC_DRSUAPI_H
#define __PACKET_DCERPC_DRSUAPI_H

#define SUPPLEMENTAL_CREDENTIALS_PREFIX	( "                                                " )

#define DRSUAPI_DS_BIND_GUID	( "e24d201a-4fd6-11d1-a3da-0000f875ae0d" )

#define DRSUAPI_DS_BIND_GUID_W2K	( "6abec3d1-3054-41c8-a362-5a0c5b7d5d71" )

#define DRSUAPI_DS_BIND_GUID_W2K3	( "6afab99c-6e26-464a-975f-f58f105218bc" )

#define DRSUAPI_DS_MEMBERSHIP_FLAG_GROUP_ATTR	( 0x1 )

#define DRSUAPI_NTDSDSA_KRB5_SERVICE_GUID	( "E3514235-4B06-11D1-AB04-00C04FC2DCD2" )

int drsuapi_dissect_struct_lsa_String(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_supplementalCredentialsPackage(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
#define SUPPLEMENTAL_CREDENTIALS_SIGNATURE (0x0050)
extern const value_string drsuapi_supplementalCredentialsSignature_vals[];
int drsuapi_dissect_enum_supplementalCredentialsSignature(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t *param _U_);
int drsuapi_dissect_struct_supplementalCredentialsSubBlob(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_supplementalCredentialsBlob(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_sch(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_package_PrimaryKerberosString(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_package_PrimaryKerberosKey3(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_package_PrimaryKerberosCtr3(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_package_PrimaryKerberosKey4(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_package_PrimaryKerberosCtr4(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_package_PrimaryKerberosBlob(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_pkb(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_bitmap_security_GroupAttrs(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_bitmap_DrsOptions(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_bitmap_DrsMoreOptions(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_bitmap_DrsUpdate(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_VAR_SIZE_BUFFER_WITH_VERSION(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_bitmap_SupportedExtensions(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_bitmap_SupportedExtensionsExt(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsBindInfo24(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsBindInfo28(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsBindInfo32(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsBindInfo48(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsBindInfo52(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsBindInfoFallBack(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsBindInfoCtr(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaObjectIdentifier(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaSyncRequest1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaSyncRequest2(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaHighWaterMark(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaCursor(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaCursorCtrEx(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
#define DRSUAPI_EXOP_NONE (0x00000000)
#define DRSUAPI_EXOP_FSMO_REQ_ROLE (0x00000001)
#define DRSUAPI_EXOP_FSMO_RID_ALLOC (0x00000002)
#define DRSUAPI_EXOP_FSMO_RID_REQ_ROLE (0x00000003)
#define DRSUAPI_EXOP_FSMO_REQ_PDC (0x00000004)
#define DRSUAPI_EXOP_FSMO_ABANDON_ROLE (0x00000005)
#define DRSUAPI_EXOP_REPL_OBJ (0x00000006)
#define DRSUAPI_EXOP_REPL_SECRET (0x00000007)
extern const value_string drsuapi_drsuapi_DsExtendedOperation_vals[];
int drsuapi_dissect_enum_DsExtendedOperation(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t *param _U_);
#define DRSUAPI_EXOP_ERR_NONE (0x00000000)
#define DRSUAPI_EXOP_ERR_SUCCESS (0x00000001)
#define DRSUAPI_EXOP_ERR_UNKNOWN_OP (0x00000002)
#define DRSUAPI_EXOP_ERR_FSMO_NOT_OWNER (0x00000003)
#define DRSUAPI_EXOP_ERR_UPDATE_ERR (0x00000004)
#define DRSUAPI_EXOP_ERR_EXCEPTION (0x00000005)
#define DRSUAPI_EXOP_ERR_UNKNOWN_CALLER (0x00000006)
#define DRSUAPI_EXOP_ERR_RID_ALLOC (0x00000007)
#define DRSUAPI_EXOP_ERR_FSMO_OWNER_DELETED (0x00000008)
#define DRSUAPI_EXOP_ERR_FMSO_PENDING_OP (0x00000009)
#define DRSUAPI_EXOP_ERR_MISMATCH (0x0000000A)
#define DRSUAPI_EXOP_ERR_COULDNT_CONTACT (0x0000000B)
#define DRSUAPI_EXOP_ERR_FSMO_REFUSING_ROLES (0x0000000C)
#define DRSUAPI_EXOP_ERR_DIR_ERROR (0x0000000D)
#define DRSUAPI_EXOP_ERR_FSMO_MISSING_SETTINGS (0x0000000E)
#define DRSUAPI_EXOP_ERR_ACCESS_DENIED (0x0000000F)
#define DRSUAPI_EXOP_ERR_PARAM_ERROR (0x00000010)
extern const value_string drsuapi_drsuapi_DsExtendedError_vals[];
int drsuapi_dissect_enum_DsExtendedError(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t *param _U_);
int drsuapi_dissect_struct_DsGetNCChangesRequest5(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaOID(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaOIDMapping(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaOIDMapping_Ctr(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
#define DRSUAPI_OBJECTCLASS_top (0x00010000)
#define DRSUAPI_OBJECTCLASS_classSchema (0x0003000d)
#define DRSUAPI_OBJECTCLASS_attributeSchema (0x0003000e)
extern const value_string drsuapi_drsuapi_DsObjectClassId_vals[];
int drsuapi_dissect_enum_DsObjectClassId(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t *param _U_);
#define DRSUAPI_ATTID_objectClass (0x00000000)
#define DRSUAPI_ATTID_cn (0x00000003)
#define DRSUAPI_ATTID_ou (0x0000000b)
#define DRSUAPI_ATTID_description (0x0000000d)
#define DRSUAPI_ATTID_member (0x0000001f)
#define DRSUAPI_ATTID_distinguishedName (0x00000031)
#define DRSUAPI_ATTID_instanceType (0x00020001)
#define DRSUAPI_ATTID_whenCreated (0x00020002)
#define DRSUAPI_ATTID_possSuperiors (0x00020008)
#define DRSUAPI_ATTID_displayName (0x0002000d)
#define DRSUAPI_ATTID_hasMasterNCs (0x0002000e)
#define DRSUAPI_ATTID_nCName (0x00020010)
#define DRSUAPI_ATTID_subClassOf (0x00020015)
#define DRSUAPI_ATTID_governsID (0x00020016)
#define DRSUAPI_ATTID_mustContain (0x00020018)
#define DRSUAPI_ATTID_mayContain (0x00020019)
#define DRSUAPI_ATTID_rDNAttId (0x0002001A)
#define DRSUAPI_ATTID_attributeID (0x0002001e)
#define DRSUAPI_ATTID_attributeSyntax (0x00020020)
#define DRSUAPI_ATTID_isSingleValued (0x00020021)
#define DRSUAPI_ATTID_rangeLower (0x00020022)
#define DRSUAPI_ATTID_rangeUpper (0x00020023)
#define DRSUAPI_ATTID_dMDLocation (0x00020024)
#define DRSUAPI_ATTID_isDeleted (0x00020030)
#define DRSUAPI_ATTID_objectVersion (0x0002004c)
#define DRSUAPI_ATTID_invocationId (0x00020073)
#define DRSUAPI_ATTID_showInAdvancedViewOnly (0x000200a9)
#define DRSUAPI_ATTID_adminDisplayName (0x000200c2)
#define DRSUAPI_ATTID_adminDescription (0x000200e2)
#define DRSUAPI_ATTID_oMSyntax (0x000200e7)
#define DRSUAPI_ATTID_ntSecurityDescriptor (0x00020119)
#define DRSUAPI_ATTID_searchFlags (0x0002014e)
#define DRSUAPI_ATTID_auxiliaryClass (0x0002015f)
#define DRSUAPI_ATTID_lDAPDisplayName (0x000201cc)
#define DRSUAPI_ATTID_name (0x00090001)
#define DRSUAPI_ATTID_objectGUID (0x00090002)
#define DRSUAPI_ATTID_replPropertyMetaData (0x00090003)
#define DRSUAPI_ATTID_userAccountControl (0x00090008)
#define DRSUAPI_ATTID_badPwdCount (0x0009000c)
#define DRSUAPI_ATTID_codePage (0x00090010)
#define DRSUAPI_ATTID_countryCode (0x00090019)
#define DRSUAPI_ATTID_currentValue (0x0009001b)
#define DRSUAPI_ATTID_homeDirectory (0x0009002c)
#define DRSUAPI_ATTID_homeDrive (0x0009002d)
#define DRSUAPI_ATTID_lastLogoff (0x00090033)
#define DRSUAPI_ATTID_lastLogon (0x00090034)
#define DRSUAPI_ATTID_dBCSPwd (0x00090037)
#define DRSUAPI_ATTID_scriptPath (0x0009003e)
#define DRSUAPI_ATTID_logonHours (0x00090040)
#define DRSUAPI_ATTID_userWorkstations (0x00090056)
#define DRSUAPI_ATTID_unicodePwd (0x0009005a)
#define DRSUAPI_ATTID_ntPwdHistory (0x0009005e)
#define DRSUAPI_ATTID_pwdLastSet (0x00090060)
#define DRSUAPI_ATTID_primaryGroupID (0x00090062)
#define DRSUAPI_ATTID_priorValue (0x00090064)
#define DRSUAPI_ATTID_supplementalCredentials (0x0009007d)
#define DRSUAPI_ATTID_trustAuthIncoming (0x00090081)
#define DRSUAPI_ATTID_trustDirection (0x00090084)
#define DRSUAPI_ATTID_trustPartner (0x00090085)
#define DRSUAPI_ATTID_trustPosixOffset (0x00090086)
#define DRSUAPI_ATTID_trustAuthOutgoing (0x00090087)
#define DRSUAPI_ATTID_trustType (0x00090088)
#define DRSUAPI_ATTID_userParameters (0x0009008a)
#define DRSUAPI_ATTID_profilePath (0x0009008b)
#define DRSUAPI_ATTID_operatorCount (0x00090090)
#define DRSUAPI_ATTID_objectSid (0x00090092)
#define DRSUAPI_ATTID_schemaIDGUID (0x00090094)
#define DRSUAPI_ATTID_adminCount (0x00090096)
#define DRSUAPI_ATTID_comment (0x0009009C)
#define DRSUAPI_ATTID_accountExpires (0x0009009f)
#define DRSUAPI_ATTID_lmPwdHistory (0x000900a0)
#define DRSUAPI_ATTID_logonCount (0x000900a9)
#define DRSUAPI_ATTID_systemPossSuperiors (0x000900c3)
#define DRSUAPI_ATTID_systemMayContain (0x000900c4)
#define DRSUAPI_ATTID_systemMustContain (0x000900c5)
#define DRSUAPI_ATTID_systemAuxiliaryClass (0x000900c6)
#define DRSUAPI_ATTID_sAMAccountName (0x000900dd)
#define DRSUAPI_ATTID_sAMAccountType (0x0009012e)
#define DRSUAPI_ATTID_options (0x00090133)
#define DRSUAPI_ATTID_fSMORoleOwner (0x00090171)
#define DRSUAPI_ATTID_systemFlags (0x00090177)
#define DRSUAPI_ATTID_trustAttributes (0x000901d6)
#define DRSUAPI_ATTID_trustParent (0x000901d7)
#define DRSUAPI_ATTID_flatName (0x000901ff)
#define DRSUAPI_ATTID_serverReference (0x00090203)
#define DRSUAPI_ATTID_serverReferenceBL (0x00090204)
#define DRSUAPI_ATTID_nonSecurityMember (0x00090212)
#define DRSUAPI_ATTID_initialAuthIncoming (0x0009021b)
#define DRSUAPI_ATTID_initialAuthOutgoing (0x0009021c)
#define DRSUAPI_ATTID_wellKnownObjects (0x0009026a)
#define DRSUAPI_ATTID_dNSHostName (0x0009026b)
#define DRSUAPI_ATTID_isMemberOfPartialAttributeSet (0x0009027f)
#define DRSUAPI_ATTID_managedBy (0x0009028d)
#define DRSUAPI_ATTID_userPrincipalName (0x00090290)
#define DRSUAPI_ATTID_groupType (0x000902ee)
#define DRSUAPI_ATTID_servicePrincipalName (0x00090303)
#define DRSUAPI_ATTID_lastKnownParent (0x0009030d)
#define DRSUAPI_ATTID_objectCategory (0x0009030e)
#define DRSUAPI_ATTID_gPLink (0x0009037b)
#define DRSUAPI_ATTID_transportAddressAttribute (0x0009037f)
#define DRSUAPI_ATTID_schemaInfo (0x0009054e)
#define DRSUAPI_ATTID_msDS_Behavior_Version (0x000905b3)
#define DRSUAPI_ATTID_msDS_TrustForestTrustInfo (0x000906a6)
#define DRSUAPI_ATTID_msDS_KeyVersionNumber (0x000906f6)
#define DRSUAPI_ATTID_msDS_NonMembers (0x00090701)
#define DRSUAPI_ATTID_msDS_MembersForAzRole (0x0009070e)
#define DRSUAPI_ATTID_msDS_HasDomainNCs (0x0009071c)
#define DRSUAPI_ATTID_msDS_hasMasterNCs (0x0009072c)
#define DRSUAPI_ATTID_msDS_NeverRevealGroup (0x00090786)
#define DRSUAPI_ATTID_msDS_RevealOnDemandGroup (0x00090788)
#define DRSUAPI_ATTID_msDS_SupportedEncryptionTypes (0x000907ab)
#define DRSUAPI_ATTID_msDS_HostServiceAccount (0x00090808)
#define DRSUAPI_ATTID_isRecycled (0x0009080a)
#define DRSUAPI_ATTID_INVALID (0xFFFFFFFF)
extern const value_string drsuapi_drsuapi_DsAttributeId_vals[];
int drsuapi_dissect_enum_DsAttributeId(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t *param _U_);
int drsuapi_dissect_struct_DsPartialAttributeSet(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetNCChangesRequest8(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetNCChangesRequest10(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetNCChangesRequest11(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaCursor2(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaCursor2CtrEx(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsAttributeValue(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsAttributeValueCtr(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaObjectIdentifier3(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaObjectIdentifier3Binary(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaAttribute(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaAttributeCtr(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_bitmap_DsReplicaObjectFlags(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaObject(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaMetaData(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaMetaDataCtr(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaObjectListItemEx(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetNCChangesCtr1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_bitmap_DsLinkedAttributeFlags(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaLinkedAttribute(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaLinkedAttribute3(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetNCChangesCtr6(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetNCChangesCtr9(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetNCChangesCtr1TS(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetNCChangesCtr6TS(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetNCChangesCtr9TS(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetNCChangesMSZIPCtr1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetNCChangesMSZIPCtr6(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetNCChangesMSZIPCtr9(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetNCChangesXPRESSCtr1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetNCChangesXPRESSCtr6(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetNCChangesXPRESSCtr9(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
#define DRSUAPI_COMPRESSION_TYPE_MSZIP (2)
#define DRSUAPI_COMPRESSION_TYPE_XPRESS (3)
extern const value_string drsuapi_drsuapi_DsGetNCChangesCompressionType_vals[];
int drsuapi_dissect_enum_DsGetNCChangesCompressionType(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint16_t *param _U_);
int drsuapi_dissect_struct_DsGetNCChangesCtr2(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetNCChangesCtr7(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaUpdateRefsRequest1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaUpdateRefsRequest2(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaAddRequest1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaAddRequest2(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaAddRequest3(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaDelRequest1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaModRequest1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
#define DRSUAPI_DS_MEMBERSHIP_TYPE_UNIVERSAL_AND_DOMAIN_GROUPS (1)
#define DRSUAPI_DS_MEMBERSHIP_TYPE_DOMAIN_LOCAL_GROUPS (2)
#define DRSUAPI_DS_MEMBERSHIP_TYPE_DOMAIN_GROUPS (3)
#define DRSUAPI_DS_MEMBERSHIP_TYPE_DOMAIN_LOCAL_GROUPS2 (4)
#define DRSUAPI_DS_MEMBERSHIP_TYPE_UNIVERSAL_GROUPS (5)
#define DRSUAPI_DS_MEMBERSHIP_TYPE_GROUPMEMBERS (6)
#define DRSUAPI_DS_MEMBERSHIP_TYPE_DOMAIN_GROUPS2 (7)
extern const value_string drsuapi_drsuapi_DsMembershipType_vals[];
int drsuapi_dissect_enum_DsMembershipType(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t *param _U_);
int drsuapi_dissect_struct_DsGetMembershipsCtr1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetMembershipsRequest1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_bitmap_DsGetNT4ChangeLogFlags(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetNT4ChangeLogRequest1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetNT4ChangeLogInfo1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
#define DRSUAPI_DS_NAME_STATUS_OK (0)
#define DRSUAPI_DS_NAME_STATUS_RESOLVE_ERROR (1)
#define DRSUAPI_DS_NAME_STATUS_NOT_FOUND (2)
#define DRSUAPI_DS_NAME_STATUS_NOT_UNIQUE (3)
#define DRSUAPI_DS_NAME_STATUS_NO_MAPPING (4)
#define DRSUAPI_DS_NAME_STATUS_DOMAIN_ONLY (5)
#define DRSUAPI_DS_NAME_STATUS_NO_SYNTACTICAL_MAPPING (6)
#define DRSUAPI_DS_NAME_STATUS_TRUST_REFERRAL (7)
extern const value_string drsuapi_drsuapi_DsNameStatus_vals[];
int drsuapi_dissect_enum_DsNameStatus(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t *param _U_);
#define DRSUAPI_DS_NAME_FLAG_NO_FLAGS (0x0)
#define DRSUAPI_DS_NAME_FLAG_SYNTACTICAL_ONLY (0x1)
#define DRSUAPI_DS_NAME_FLAG_EVAL_AT_DC (0x2)
#define DRSUAPI_DS_NAME_FLAG_GCVERIFY (0x4)
#define DRSUAPI_DS_NAME_FLAG_TRUST_REFERRAL (0x8)
extern const value_string drsuapi_drsuapi_DsNameFlags_vals[];
int drsuapi_dissect_enum_DsNameFlags(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t *param _U_);
#define DRSUAPI_DS_NAME_FORMAT_UNKNOWN (0x00000000)
#define DRSUAPI_DS_NAME_FORMAT_FQDN_1779 (0x00000001)
#define DRSUAPI_DS_NAME_FORMAT_NT4_ACCOUNT (0x00000002)
#define DRSUAPI_DS_NAME_FORMAT_DISPLAY (0x00000003)
#define DRSUAPI_DS_NAME_FORMAT_GUID (0x00000006)
#define DRSUAPI_DS_NAME_FORMAT_CANONICAL (0x00000007)
#define DRSUAPI_DS_NAME_FORMAT_USER_PRINCIPAL (0x00000008)
#define DRSUAPI_DS_NAME_FORMAT_CANONICAL_EX (0x00000009)
#define DRSUAPI_DS_NAME_FORMAT_SERVICE_PRINCIPAL (0x0000000A)
#define DRSUAPI_DS_NAME_FORMAT_SID_OR_SID_HISTORY (0x0000000B)
#define DRSUAPI_DS_NAME_FORMAT_DNS_DOMAIN (0x0000000C)
#define DRSUAPI_DS_NAME_FORMAT_UPN_AND_ALTSECID (0xFFFFFFEF)
#define DRSUAPI_DS_NAME_FORMAT_NT4_ACCOUNT_NAME_SANS_DOMAIN_EX (0xFFFFFFF0)
#define DRSUAPI_DS_NAME_FORMAT_LIST_GLOBAL_CATALOG_SERVERS (0xFFFFFFF1)
#define DRSUAPI_DS_NAME_FORMAT_UPN_FOR_LOGON (0xFFFFFFF2)
#define DRSUAPI_DS_NAME_FORMAT_LIST_SERVERS_WITH_DCS_IN_SITE (0xFFFFFFF3)
#define DRSUAPI_DS_NAME_FORMAT_STRING_SID_NAME (0xFFFFFFF4)
#define DRSUAPI_DS_NAME_FORMAT_ALT_SECURITY_IDENTITIES_NAME (0xFFFFFFF5)
#define DRSUAPI_DS_NAME_FORMAT_LIST_NCS (0xFFFFFFF6)
#define DRSUAPI_DS_NAME_FORMAT_LIST_DOMAINS (0xFFFFFFF7)
#define DRSUAPI_DS_NAME_FORMAT_MAP_SCHEMA_GUID (0xFFFFFFF8)
#define DRSUAPI_DS_NAME_FORMAT_NT4_ACCOUNT_NAME_SANS_DOMAIN (0xFFFFFFF9)
#define DRSUAPI_DS_NAME_FORMAT_LIST_ROLES (0xFFFFFFFA)
#define DRSUAPI_DS_NAME_FORMAT_LIST_INFO_FOR_SERVER (0xFFFFFFFB)
#define DRSUAPI_DS_NAME_FORMAT_LIST_SERVERS_FOR_DOMAIN_IN_SITE (0xFFFFFFFC)
#define DRSUAPI_DS_NAME_FORMAT_LIST_DOMAINS_IN_SITE (0xFFFFFFFD)
#define DRSUAPI_DS_NAME_FORMAT_LIST_SERVERS_IN_SITE (0xFFFFFFFE)
#define DRSUAPI_DS_NAME_FORMAT_LIST_SITES (0xFFFFFFFF)
extern const value_string drsuapi_drsuapi_DsNameFormat_vals[];
int drsuapi_dissect_enum_DsNameFormat(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t *param _U_);
int drsuapi_dissect_struct_DsNameString(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsNameRequest1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsNameInfo1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsNameCtr1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
#define DRSUAPI_DS_SPN_OPERATION_ADD (0)
#define DRSUAPI_DS_SPN_OPERATION_REPLACE (1)
#define DRSUAPI_DS_SPN_OPERATION_DELETE (2)
extern const value_string drsuapi_drsuapi_DsSpnOperation_vals[];
int drsuapi_dissect_enum_DsSpnOperation(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t *param _U_);
int drsuapi_dissect_struct_DsWriteAccountSpnRequest1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsWriteAccountSpnResult1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsRemoveDSServerRequest1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsRemoveDSServerResult1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
#define DRSUAPI_DC_INFO_CTR_1 (1)
#define DRSUAPI_DC_INFO_CTR_2 (2)
#define DRSUAPI_DC_INFO_CTR_3 (3)
#define DRSUAPI_DC_CONNECTION_CTR_01 (0xFFFFFFFF)
extern const value_string drsuapi_drsuapi_DsGetDCInfoCtrLevels_vals[];
int drsuapi_dissect_enum_DsGetDCInfoCtrLevels(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t *param _U_);
int drsuapi_dissect_struct_DsGetDCInfoRequest1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetDCInfo1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetDCInfoCtr1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetDCInfo2(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetDCInfoCtr2(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetDCInfo3(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetDCInfoCtr3(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetDCConnection01(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetDCConnectionCtr01(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaObjectListItem(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
#define DRSUAPI_DIRERR_OK (0)
#define DRSUAPI_DIRERR_ATTRIBUTE (1)
#define DRSUAPI_DIRERR_NAME (2)
#define DRSUAPI_DIRERR_REFERRAL (3)
#define DRSUAPI_DIRERR_SECURITY (4)
#define DRSUAPI_DIRERR_SERVICE (5)
#define DRSUAPI_DIRERR_UPDATE (6)
#define DRSUAPI_DIRERR_SYSTEM (7)
extern const value_string drsuapi_drsuapi_DsAddEntry_DirErr_vals[];
int drsuapi_dissect_enum_DsAddEntry_DirErr(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t *param _U_);
int drsuapi_dissect_struct_DsAddEntryRequest2(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
#define DRSUAPI_SECBUFFER_EMPTY (0x00000000)
#define DRSUAPI_SECBUFFER_DATA (0x00000001)
#define DRSUAPI_SECBUFFER_TOKEN (0x00000002)
#define DRSUAPI_SECBUFFER_PKG_PARAMS (0x00000003)
#define DRSUAPI_SECBUFFER_MISSING (0x00000004)
#define DRSUAPI_SECBUFFER_EXTRA (0x00000005)
#define DRSUAPI_SECBUFFER_STREAM_TRAILER (0x00000006)
#define DRSUAPI_SECBUFFER_STREAM_HEADER (0x00000007)
#define DRSUAPI_SECBUFFER_READONLY (0x80000000)
extern const value_string drsuapi_drsuapi_SecBufferType_vals[];
int drsuapi_dissect_enum_SecBufferType(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t *param _U_);
int drsuapi_dissect_struct_SecBuffer(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_SecBufferDesc(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsAddEntryRequest3(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsAddEntryErrorInfoX(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsAddEntry_AttrErr_V1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsAddEntry_AttrErrListItem_V1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsAddEntryErrorInfo_Attr_V1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsAddEntryErrorInfo_Name_V1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_NameResOp_V1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
#define DRSUAPI_CH_REFTYPE_SUPERIOR (0x0000)
#define DRSUAPI_CH_REFTYPE_SUBORDINATE (0x0001)
#define DRSUAPI_CH_REFTYPE_NSSR (0x0002)
#define DRSUAPI_CH_REFTYPE_CROSS (0x0003)
extern const value_string drsuapi_drsuapi_DsAddEntry_RefType_vals[];
int drsuapi_dissect_enum_DsAddEntry_RefType(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint16_t *param _U_);
#define DRSUAPI_SE_CHOICE_BASE_ONLY (0x00)
#define DRSUAPI_SE_CHOICE_IMMED_CHLDRN (0x01)
#define DRSUAPI_SE_CHOICE_WHOLE_SUBTREE (0x02)
extern const value_string drsuapi_drsuapi_DsAddEntry_ChoiceType_vals[];
int drsuapi_dissect_enum_DsAddEntry_ChoiceType(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint8_t *param _U_);
int drsuapi_dissect_struct_DsaAddressListItem_V1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsAddEntry_RefErrListItem_V1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsAddEntryErrorInfo_Referr_V1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsAddEntry_ErrData_V1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaObjectIdentifier2(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsAddEntryCtr2(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsAddEntryCtr3(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_bitmap_DsExecuteKCCFlags(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsExecuteKCC1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
#define DRSUAPI_DS_REPLICA_GET_INFO (1)
#define DRSUAPI_DS_REPLICA_GET_INFO2 (2)
extern const value_string drsuapi_drsuapi_DsReplicaGetInfoLevel_vals[];
int drsuapi_dissect_enum_DsReplicaGetInfoLevel(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t *param _U_);
#define DRSUAPI_DS_REPLICA_INFO_NEIGHBORS (0)
#define DRSUAPI_DS_REPLICA_INFO_CURSORS (1)
#define DRSUAPI_DS_REPLICA_INFO_OBJ_METADATA (2)
#define DRSUAPI_DS_REPLICA_INFO_KCC_DSA_CONNECT_FAILURES (3)
#define DRSUAPI_DS_REPLICA_INFO_KCC_DSA_LINK_FAILURES (4)
#define DRSUAPI_DS_REPLICA_INFO_PENDING_OPS (5)
#define DRSUAPI_DS_REPLICA_INFO_ATTRIBUTE_VALUE_METADATA (6)
#define DRSUAPI_DS_REPLICA_INFO_CURSORS2 (7)
#define DRSUAPI_DS_REPLICA_INFO_CURSORS3 (8)
#define DRSUAPI_DS_REPLICA_INFO_OBJ_METADATA2 (9)
#define DRSUAPI_DS_REPLICA_INFO_ATTRIBUTE_VALUE_METADATA2 (10)
#define DRSUAPI_DS_REPLICA_INFO_REPSTO (-2)
#define DRSUAPI_DS_REPLICA_INFO_CLIENT_CONTEXTS (-4)
#define DRSUAPI_DS_REPLICA_INFO_UPTODATE_VECTOR_V1 (-5)
#define DRSUAPI_DS_REPLICA_INFO_SERVER_OUTGOING_CALLS (-6)
extern const value_string drsuapi_drsuapi_DsReplicaInfoType_vals[];
int drsuapi_dissect_enum_DsReplicaInfoType(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t *param _U_);
int drsuapi_dissect_struct_DsReplicaGetInfoRequest1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaGetInfoRequest2(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaNeighbour(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaNeighbourCtr(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaCursorCtr(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaObjMetaData(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaObjMetaDataCtr(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaKccDsaFailure(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaKccDsaFailuresCtr(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
#define DRSUAPI_DS_REPLICA_OP_TYPE_SYNC (0)
#define DRSUAPI_DS_REPLICA_OP_TYPE_ADD (1)
#define DRSUAPI_DS_REPLICA_OP_TYPE_DELETE (2)
#define DRSUAPI_DS_REPLICA_OP_TYPE_MODIFY (3)
#define DRSUAPI_DS_REPLICA_OP_TYPE_UPDATE_REFS (4)
extern const value_string drsuapi_drsuapi_DsReplicaOpType_vals[];
int drsuapi_dissect_enum_DsReplicaOpType(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t *param _U_);
int drsuapi_dissect_struct_DsReplicaOp(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaOpCtr(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaAttrValMetaData(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaAttrValMetaDataCtr(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaCursor2Ctr(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaCursor3(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaCursor3Ctr(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaObjMetaData2(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaObjMetaData2Ctr(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaAttrValMetaData2(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaAttrValMetaData2Ctr(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaConnection04(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplicaConnection04Ctr(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplica06(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsReplica06Ctr(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetMemberships2Ctr1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsGetMemberships2Request1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_DsSiteCostInfo(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_QuerySitesByCostCtr1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_QuerySitesByCostRequest1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_InitDemotionRequest1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_InitDemotionCtr1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_ReplicaDemotionRequest1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_ReplicaDemotionCtr1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_FinishDemotionRequest1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_FinishDemotionCtr1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_AddCloneDCRequest1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_AddCloneDCCtr1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_WriteNgcKeyRequest1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_WriteNgcKeyCtr1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_ReadNgcKeyRequest1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
int drsuapi_dissect_struct_ReadNgcKeyCtr1(tvbuff_t *tvb _U_, int offset _U_, packet_info *pinfo _U_, proto_tree *parent_tree _U_, dcerpc_info* di _U_, uint8_t *drep _U_, int hf_index _U_, uint32_t param _U_);
#endif /* __PACKET_DCERPC_DRSUAPI_H */
